Loading...
Searching...
No Matches
pcl::GASDSignature512 Struct Reference
Module common

A point structure representing the Globally Aligned Spatial Distribution (GASD) shape descriptor. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | GASDSignature512 ()=default

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | histogram [512] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const GASDSignature512 &p)

## Detailed Description

A point structure representing the Globally Aligned Spatial Distribution (GASD) shape descriptor.

Definition at line 1480 of file point_types.hpp.

## Constructor & Destructor Documentation

## GASDSignature512()

constexpr pcl::GASDSignature512::GASDSignature512 | ( |  | ) |

inline constexpr default

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::GASDSignature512::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1483 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const GASDSignature512 & | p
| ) |  |

friend

## Member Data Documentation

## histogram

float pcl::GASDSignature512::histogram[512] = {0.f}

Definition at line 1482 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp